import request from '@/utils/request';

/**
 * 角色树
 * @param queryParams
 */
export function getRoleList(queryParams: any) {
  return request({
    url: '/api/role/getRole',
    method: 'post',
    data: queryParams,
  });
}

/**
 * 组织
 * @param queryParams
 */
export function getOrgList(queryParams: any) {
  return request({
    url: '/api/role/getOrg',
    method: 'post',
    data: queryParams,
  });
}

/**
 * 根据用户获取角色
 * */
export function getRoleListByUser(queryParams: any) {
  return request({
    url: '/api/role/getRoleOfPermission',
    method: 'post',
    data: queryParams,
  });
}
/**
* 角色新增
* */
export function addRole(data: any) {
  return request({
    url: '/api/role/addRole',
    method: 'post',
    data: data,
  });
}
/**
 * 角色编辑
 * */
export function updateRole(data: any) {
  return request({
    url: '/api/role/editRole',
    method: 'post',
    data: data,
  });
}

/**
 * 角色删除
 * */
export function delRole(data: any) {
  return request({
    url: '/api/role/deleteRole',
    method: 'post',
    data: data,
  });
}

/*保存角色关联的菜单*/
export function saveRoleMenu(data: any) {
  return request({
    url: '/api/role/saveRoleMenu',
    method: 'post',
    data: data,
  });
}



// /**
//  * 启用
//  */
// export function enableRole(data: any) {
//   return request({
//     url: '/role/enable',
//     method: 'post',
//     data: data,
//   });
// }
// /**
//  * 禁用
//  */
// export function disableRole(data: any) {
//   return request({
//     url: '/role/disable',
//     method: 'post',
//     data: data,
//   });
// }
// /**
// * 获取所有菜单
// */
// export function getUserGroupMenu(data: any) {
//   return request({
//     url: '/api/user/getGroupList',
//     method: 'post',
//     data: data,
//   });
// }

